/**
 * Demos Berlin e.V. corporate design theme for reveal.js.
 * Author: Maximilian Dolling
 * fork from Achim Staebler's Solarized theme
 */


// Default mixins and settings -----------------
@import "../template/mixins";
@import "../template/settings";
// ---------------------------------------------



// Include theme-specific fonts
@font-face {
  font-family: 'oskari';
  src: url('fonts/Oskari-G2/WOFF2/OskariG2Regular.woff2')
  format('woff2'),
  url('fonts/Oskari-G2/WOFF/OskariG2Regular.woff') format('woff');
}


html * {
	color-profile: sRGB;
	rendering-intent: auto;
}

/**
 * color list
 * higher number means lighter color
 * base 4 is lighter than base 3, but the same color
 */
$black:      #000000;
$white:      #ffffff;
$green:      #34a853;
$red:        #ef1320;
$grey:       #c4c4c4;

// Override theme settings (see ../template/settings.scss)
$mainColor: $black;
$headingColor: $black;
$headingTextShadow: none;
$backgroundColor: $white;
$linkColor: $green;
$linkColorHover: lighten( $green, 20% );
$selectionBackgroundColor: $white;
$mainFont: 'oskari', sans-serif;
$headingFont: 'oskari', Impact, sans-serif;

// overwrite Background generator
@mixin bodyBackground() {
  background: $backgroundColor;
  background-image: url(images/logo_letter_white.jpg);
  background-size: 10%, 10% 100%;
  background-repeat: no-repeat, no-repeat;
  background-position: 0 0, 0 0;
}

// Theme template ------------------------------
@import "../template/theme";
// ---------------------------------------------

/**
 * multi column support
 * Source: https://stackoverflow.com/questions/30861845/how-to-use-two-column-layout-with-reveal-js
 * Author: Frank Nocke
 */

.multiCol {
    display: table;
    table-layout: fixed;
    width: 100%;
    text-align: left;
}
.col {
    display: table-cell;
    vertical-align: top;
    width: 50%;
    padding: 2% 0 2% 3%;
    &:first-of-type { padding-left: 0; }
}